Bug 115772 - [patch] www/p5-Gantry - Fix templates
Summary: [patch] www/p5-Gantry - Fix templates
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-24 01:50 UTC by Warren Block
Modified: 2007-09-12 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (908 bytes, patch)
2007-08-24 01:50 UTC, Warren Block
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Block 2007-08-24 01:50:07 UTC
files/patch-Build.PL erroneously omits much of the original Build.PL.  In particular, the part that copies template files to /usr/local/www/data/gantry and allow Gantry to work.

Fix: Replace /usr/ports/www/p5-Gantry/files/patch-Build.PL with this file.

Patch attached with submission follows:
How-To-Repeat: Install /usr/ports/www/p5-Gantry.  Follow the tutorials at http://www.usegantry.org and note how they fail with a missing template file error.
Comment 1 Edwin Groothuis freebsd_committer 2007-08-24 02:07:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer
Comment 2 Cheng-Lung Sung freebsd_committer 2007-08-26 14:18:23 UTC
Responsible Changed
From-To: perl->clsung

Grab it.
Comment 3 dfilter service freebsd_committer 2007-09-12 06:53:52 UTC
clsung      2007-09-12 05:53:46 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-Gantry        Makefile pkg-plist 
    www/p5-Gantry/files  patch-Build.PL 
  Log:
  - files/patch-Build.PL erroneously omits much of the original Build.PL.
    In particular, the part that copies template files to
    /usr/local/www/gantry and allow Gantry to work.
  - bump PORTREVISION
  
  PR:             ports/115772
  Submitted by:   Warren Block <wblock_AT_wonkity dot com>
  Reviewed by:    clsung
  
  Revision  Changes    Path
  1.8       +12 -0     ports/www/p5-Gantry/Makefile
  1.5       +6 -110    ports/www/p5-Gantry/files/patch-Build.PL
  1.5       +70 -1     ports/www/p5-Gantry/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2007-09-12 06:53:59 UTC
State Changed
From-To: open->closed

Committed. Thank You.